MATLAB code to reproduce results presented in the paper "Topology-Based Reconstruction Prevention for Decentralised Learning".

The source code is available as a git repository. Cached computation results are available as additional files.

**Git repository**  
The git repository has two parts:

* `FeasibilitySim` contains the source code of the experiments from Section 4.4. Its main script is `FeasibilitySim.m`.
* `PerformanceSim` contains the source code of the experiments from Section 5.5. Its main script is `PerformanceSim.m`.

The parts are described in more detail in the file `README.md` in their respective folders.

Detailed usage instructions for both parts are available in the file `ARTIFACT-EVALUATION.md`.

**Files**  
Cached computation results are optionally available, with filenames ending in `.cache.zip`. These allow inspecting the exact outputs without the need to re-run the computationally intensive experiments. Detailed usage instructions are available in the file `ARTIFACT-EVALUATION.md` inside the git repository.
